Subject: bug#5040: 23.1; w32-register-hot-key problem

From: Lennart Borgman <[email-masked]>
Date: Wed, 25 Nov 2009 23:24:17 +0100

On Wed, Nov 25, 2009 at 11:18 PM, Drew Adams <[email-masked]> wrote:
>
> Lennart, we don't seem to be communicating.
> "No", what?  Did I say anything about guarantees?
>
> I said it works FOR ME (Windows XP SP3), and I suspect for at least some others
> also. (Have you tried it (with emacs -Q)? Does it work for you? You might be
> surprised that it does.)
>
> What is THIS bug report about? There is a minor regression starting with Emacs
> 22. THAT'S ALL.

I am trying to say that this is not guaranteed to work. Some key
combinations are strictly not allowed by w32 to be used by
applications.

And I think I misremembered. I am not sure if it can work with a low
level keyboard hook either.

There is not very much that we can do to guarantee that it works. If
it works it works a bit by chance. Next patch from MS may stop it from
working.

But you are right, if it works for you with the old versions of Emacs
there might be a way to fool w32 here.